This is an archived copy of the Xen.org mailing list, which we have preserved to ensure that existing links to archives are not broken. The live archive, which contains the latest emails, can be found at http://lists.xen.org/
Home Products Support Community News


[Xen-devel] xs.c and PyMODINIT_FUNC in xen-unstable-src.tgz

To: xen-devel@xxxxxxxxxxxxxxxxxxx
Subject: [Xen-devel] xs.c and PyMODINIT_FUNC in xen-unstable-src.tgz
From: "rami rosen" <ramirosen@xxxxxxxxxxx>
Date: Mon, 13 Jun 2005 05:09:02 -0300
Delivery-date: Mon, 13 Jun 2005 08:08:14 +0000
Envelope-to: www-data@xxxxxxxxxxxxxxxxxxx
List-help: <mailto:xen-devel-request@lists.xensource.com?subject=help>
List-id: Xen developer discussion <xen-devel.lists.xensource.com>
List-post: <mailto:xen-devel@lists.xensource.com>
List-subscribe: <http://lists.xensource.com/cgi-bin/mailman/listinfo/xen-devel>, <mailto:xen-devel-request@lists.xensource.com?subject=subscribe>
List-unsubscribe: <http://lists.xensource.com/cgi-bin/mailman/listinfo/xen-devel>, <mailto:xen-devel-request@lists.xensource.com?subject=unsubscribe>
Sender: xen-devel-bounces@xxxxxxxxxxxxxxxxxxx

Really a little thing:

I had downaloaded the xen-unstable-src.tgz version from the Xen downloads web site yesterday.

I ran "make world".
I have python-2.2.2-26 on my RH9 machine.

I get an error in xs.c; looking a bit showed that it came from that
PyMODINIT_FUNC is not define; more specifically:

These lines in python/xen/lowlevel/xs/xs.c:
/* Needed for Python versions earlier than 2.3. */
//#ifndef PyMODINIT_FUNC
//#define PyMODINIT_FUNC DL_EXPORT(void)

So I removed this remarks ; I also saw that in xc.c and xu.c these
#ifndef PyMODINIT_FUNC lines **DO** appear.

I assume that these lines were remarked mistakingly and that there is no real
need to upgrade the Python version to a version >= 2.3. Am I right ?

Rami Rosen

Don't just search. Find. Check out the new MSN Search! http://search.msn.com/

Xen-devel mailing list

<Prev in Thread] Current Thread [Next in Thread>